/*
    SDL - Simple DirectMedia Layer
    Copyright (C) 1997, 1998, 1999, 2000, 2001, 2002  Sam Lantinga

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Sam Lantinga
    slouken@libsdl.org
*/



#include "SDL_error.h"
#include "SDL_cdrom.h"
#include "SDL_syscdrom.h"

static const char *SDL_SYS_CDName(int drive);
static int SDL_SYS_CDOpen(int drive);
static int SDL_SYS_CDGetTOC(SDL_CD *cdrom);
static CDstatus SDL_SYS_CDStatus(SDL_CD *cdrom, int *position);
static int SDL_SYS_CDPlay(SDL_CD *cdrom, int start, int length);
static int SDL_SYS_CDPause(SDL_CD *cdrom);
static int SDL_SYS_CDResume(SDL_CD *cdrom);
static int SDL_SYS_CDStop(SDL_CD *cdrom);
static int SDL_SYS_CDEject(SDL_CD *cdrom);
static void SDL_SYS_CDClose(SDL_CD *cdrom);


int  SDL_SYS_CDInit(void)
{
/*
	SDL_CDcaps.Name = SDL_SYS_CDName;
	SDL_CDcaps.Open = SDL_SYS_CDOpen;
	SDL_CDcaps.GetTOC = SDL_SYS_CDGetTOC;
	SDL_CDcaps.Status = SDL_SYS_CDStatus;
	SDL_CDcaps.Play = SDL_SYS_CDPlay;
	SDL_CDcaps.Pause = SDL_SYS_CDPause;
	SDL_CDcaps.Resume = SDL_SYS_CDResume;
	SDL_CDcaps.Stop = SDL_SYS_CDStop;
	SDL_CDcaps.Eject = SDL_SYS_CDEject;
	SDL_CDcaps.Close = SDL_SYS_CDClose;
*/
	return 0;
}

void SDL_SYS_CDQuit(void)
{

}

static const char *SDL_SYS_CDName(int drive)
{
	return "Dummy CD";
}

static int SDL_SYS_CDOpen(int drive)
{
	return -1;
}

static int SDL_SYS_CDGetTOC(SDL_CD *cdrom)
{
	return -1;
}

static CDstatus SDL_SYS_CDStatus(SDL_CD *cdrom, int *position)
{
	return CD_TRAYEMPTY;
}

static int SDL_SYS_CDPlay(SDL_CD *cdrom, int start, int length)
{
	return -1;
}

static int SDL_SYS_CDPause(SDL_CD *cdrom)
{
	return -1;
}

static int SDL_SYS_CDResume(SDL_CD *cdrom)
{
	return -1;
}

static int SDL_SYS_CDStop(SDL_CD *cdrom)
{
	return -1;
}

static int SDL_SYS_CDEject(SDL_CD *cdrom)
{
	return -1;
}

static void SDL_SYS_CDClose(SDL_CD *cdrom)
{
}
